Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::image_texture_node Class Reference

Inheritance diagram for openvrml::vrml97_node::image_texture_node:

[legend]
List of all members.

## Detailed Description

Represents ImageTexture node instances.

## Public Member Functions

| image_texture_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~image_texture_node () throw ()
| Destroy.
virtual const openvrml::image & | image () const throw ()
| The image.
virtual size_t | frames () const throw ()
| The number of frames.

## Private Member Functions

virtual viewer::texture_object_t | do_render_texture (viewer &v)
| render_texture implementation.
void | update_texture ()
| Called to lazily update texture data.

## Private Attributes

url_exposedfield | url_
| url exposedField.
openvrml::image | image_
| Image data.
bool | texture_needs_update
| Flag to indicate that image_texture_node::update_texture should be called.

## Friends

class | image_texture_class
| Class object for ImageTexture nodes.

## Classes

class | url_exposedfield
| url exposedField. More...

## Constructor & Destructor Documentation

openvrml::vrml97_node::image_texture_node::image_texture_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::image_texture_node::~image_texture_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

const image & openvrml::vrml97_node::image_texture_node::image | ( |  | ) | const throw ()`[virtual]`

The image.

Returns:
  the image.

Implements openvrml::texture_node.

size_t openvrml::vrml97_node::image_texture_node::frames | ( |  | ) | const throw ()`[virtual]`

The number of frames.

Returns:
  0.

Implements openvrml::texture_node.

viewer::texture_object_t openvrml::vrml97_node::image_texture_node::do_render_texture | ( | viewer & | v | ) | `[private, virtual]`

render_texture implementation.

Parameters:

  | v | viewer.

Returns:
  object identifier for the inserted texture.

Reimplemented from openvrml::texture_node.

void openvrml::vrml97_node::image_texture_node::update_texture | ( |  | ) | `[private]`

| Called to lazily update texture data.

## Friends And Related Function Documentation

class openvrml::vrml97_node::image_texture_node::image_texture_class`[friend]`

| Class object for ImageTexture nodes.

## Member Data Documentation

image_texture_node::url_exposedfield openvrml::vrml97_node::image_texture_node::url_ `[private]`

| url exposedField.

image openvrml::vrml97_node::image_texture_node::image_ `[private]`

| Image data.

bool openvrml::vrml97_node::image_texture_node::texture_needs_update `[private]`

| Flag to indicate that image_texture_node::update_texture should be called.